Skip to main content
GET
/
rooms
/
my
List my rooms
curl --request GET \
  --url https://api.example.com/rooms/my \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "rooms": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "host_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "host": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "username": "<string>",
          "role": "host",
          "is_active": true,
          "created_at": "2023-11-07T05:31:56Z"
        },
        "library_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "description": "<string>",
        "analytics": {
          "google_tag_manager": {
            "container_id": "GTM-XXXXXX",
            "enabled": true
          }
        },
        "active_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "total": 123,
    "page": 123,
    "limit": 123
  },
  "timestamp": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

My rooms

success
boolean
Example:

true

data
object
timestamp
integer<int64>